=== debian/changelog ===
talloc (2.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop unnecessary dependency on python3-dev.
  * Bump standards version to 3.9.8 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 03 Jul 2016 19:51:49 +0000

talloc (2.1.6-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Bump standards version to 3.9.7 (no changes).

  [ Andrew Bartlett ]
  * New upstream release.
  * Remove python3-talloc for now (trying to remove the SOABI caused other
    issues).

  [ Jelmer Vernooij ]
  * Fix Vcs-Git header to use master branch rather than unstable.
  * Add Breaks for older versions of python-samba (<< 2:4.3.6+dfsg-2), because
    of upstream bug https://bugzilla.samba.org/show_bug.cgi?id=11789.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 04 Apr 2016 07:53:47 +1200
