## talloc 2.1.9

=== debian/changelog ===
talloc (2.1.9-2ubuntu1) artful; urgency=medium

  * python-talloc: Remove the dependency on the python interpreter.
    This allows installation of samba-libs on the desktop images without
    installing the python2 interpreter.  python-talloc isn't useful on
    it's own, and samba itself depends on python-samba pulling in
    python-talloc and the python interpreter again. Sure, a hack ...
  * python-talloc-dev: Add the dependencies removed from python-talloc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Sep 2017 16:02:21 +0200

talloc (2.1.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Mon, 19 Jun 2017 17:19:07 +0200

talloc (2.1.9-1) experimental; urgency=medium

  * New upstream version 2.1.9
  * Updating symbols

 -- Mathieu Parent <sathieu@debian.org>  Thu, 08 Jun 2017 22:41:31 +0200
