=== debian/changelog ===
talloc (2.1.10-2ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaiing changes:
    - python-talloc: Remove the dependency on the python interpreter.
      This allows installation of samba-libs on the desktop images without
      installing the python2 interpreter.  python-talloc isn't useful on
      it's own, and samba itself depends on python-samba pulling in
      python-talloc and the python interpreter again. Sure, a hack ...
    - python-talloc-dev: Add the dependencies removed from python-talloc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Nov 2017 12:42:52 +0100

talloc (2.1.10-2) unstable; urgency=medium

  * Upload to sid

 -- Mathieu Parent <sathieu@debian.org>  Thu, 26 Oct 2017 10:25:44 +0200

talloc (2.1.10-1) experimental; urgency=medium

  * New upstream version 2.1.10
    - Update symbols (no change)
  * Use https form of the copyright-format URL (Debian Policy 4.0.0)
  * Standards-Version: 4.0.0

 -- Mathieu Parent <sathieu@debian.org>  Thu, 28 Sep 2017 23:08:38 +0200
