=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   dh-python,
   libpopt-dev,
   python-dev (>= 2.6.6-3)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-samba/talloc.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-samba/talloc.git
