=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
@@ -25,6 +26,10 @@
 
 override_dh_python2:
 	dh_python2 --no-guessing-versions
+	: # this is a hack ... to keep python off the desktop image
+	-grep '^python:Depends=' \
+	  debian/python-talloc.substvars >> debian/python-talloc-dev.substvars
+	sed -i -e '/^python:Depends=/d' debian/python-talloc.substvars
 
 override_dh_auto_configure:
 	LDFLAGS="$(LDFLAGS)" PYTHON="$(PYTHON)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" ./configure $(conf_args)
@@ -63,8 +68,7 @@
 	mv libtalloc.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_strip:
-	dh_strip -plibtalloc2 --dbg-package=libtalloc2-dbg
-	dh_strip -ppython-talloc --dbg-package=python-talloc-dbg
+	dh_strip --dbgsym-migration='libtalloc2-dbg (<< 2.1.8-1~), python-talloc-dbg (<< 2.1.8-1~)'
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibtalloc2 -- -c4
