## talloc 2.1.14

=== debian/changelog ===
talloc (2.1.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:28:53 +0800

talloc (2.1.14-2) unstable; urgency=medium

  * Add debian/upstream/metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 23 Oct 2018 09:22:43 +0000

talloc (2.1.14-1) unstable; urgency=medium

  * Upload to unstable
    - Update symbols, no change
  * New upstream version 2.1.14
  * Revert python3 support (Reopen #802484, #814928; Closes: #902883) until it
    is ready
  * Add Breaks: python3-talloc (<< 2.1.13-2~)
  * Standards-Version: 4.1.5:
    - Add Rules-Requires-Root: no

 -- Mathieu Parent <sathieu@debian.org>  Sat, 14 Jul 2018 22:28:35 +0200

talloc (2.1.13-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * Add py3 support back (Closes: #802484, #814928)

  [ Mathieu Parent ]
  * New upstream version 2.1.13
    - Update symbols (no change)
  * Update Standards-Version to 4.1.4, no change
  * Mark libtalloc-dev and python{,3}-talloc{,dev} "Multi-Arch: same"
  * Run wrap-and-sort
  * Drop d/patches/series (pytalloc-util-name.diff missing)
  * Fix lintian overrides
  * Upload to experimental, as python3 changes are risky

 -- Mathieu Parent <sathieu@debian.org>  Sun, 01 Jul 2018 09:28:27 +0200

talloc (2.1.11-2) unstable; urgency=low

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Tue, 15 May 2018 15:40:10 +0200

talloc (2.1.11-1) experimental; urgency=medium

  * New upstream version 2.1.11
    - Update symbols (no change)
  * Upload to experimental
  * Repository moved to salsa: Update Vcs-* fields
  * Fix global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Move to debhelper 11, no expected change
    - remove "dh --parallel", not needed in compat 11
  * Standards-Version: 4.1.3, no change

 -- Mathieu Parent <sathieu@debian.org>  Sun, 11 Mar 2018 21:04:04 +0100
