## talloc 2.1.16

=== debian/changelog ===
talloc (2.1.16-2) experimental; urgency=medium

  * d/copyright Full review

 -- Mathieu Parent <sathieu@debian.org>  Mon, 29 Jul 2019 23:23:19 +0200

talloc (2.1.16-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * New upstream version 2.1.16
    - Update symbols, no change
    - Clean up third_party/waf/waflib/*.pyc in override_dh_auto_clean
  * Add Debian pipeline (debian/gitlab-ci.yml)
  * Lintian:
    - Fix public-upstream-key-not-minimal
    - Standards-Version: 4.2.1
    - Add Build-Depends-Package field in d/*.symbols
    - debian/python-talloc.lintian-overrides: Override false-positive
      library-not-linked-against-libc
    - Standards-Version: 4.3.0
    - Add Build-Depends-Package: python3-talloc-dev to
      python3-talloc.symbols.common
    - Add python3-talloc{,-dev}.lintian-overrides
  * Remove undefined ${python:Depends} form python3-talloc-dev Depends

  [ Andreas Hasenack ]
  *  d/rules: fix globbing for talloc static library creation
  *  d/rules: build for python2 and python3
  *  d/control, d/python3-talloc.install: new python3 binding package
  *  d/python3-talloc.symbols.{common,amd64,armhf,arm64,s390x,ppc64el,i386}: use
     per-arch symbols file
  *  d/rules: check python3-talloc symbols
  *  d/control, d/python3-talloc-dev.install, d/rules: new python3-talloc-dev
     package

 -- Mathieu Parent <sathieu@debian.org>  Sat, 23 Mar 2019 09:10:08 +0100
