=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
                docbook-xsl,
                libpopt-dev,
                python-dev (>= 2.6.6-3),
+               python3-dev,
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/samba-team/talloc
 Vcs-Git: https://salsa.debian.org/samba-team/talloc.git
 
@@ -41,6 +42,31 @@
  .
  This package contains the development files.
 
+Package: python3-talloc
+Section: python
+Architecture: linux-any kfreebsd-any
+Depends: libtalloc2 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Provides: ${python3:Provides}
+Description: hierarchical pool based memory allocator - Python3 bindings
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the Python 3 bindings.
+
+Package: python3-talloc-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: pkg-config, python3-talloc (= ${binary:Version}), ${misc:Depends}
+Description: talloc Python 3 bindings - development files
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the development files for the Python 3 bindings.
+
 Package: python-talloc
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
