=== debian/rules ===
--- 
+++ 
@@ -17,22 +17,19 @@
 conf_args = --prefix=/usr --disable-rpath-install --disable-rpath --bundled-libraries=NONE
 conf_args += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 conf_args += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+conf_args += --extra-python=python2
 conf_args += -v
 
 export PYTHON="$(shell which `pyversions -d`)"
 
 %:
-	dh $* --parallel --with python2
+	dh $* --with python2,python3
 
 override_dh_python2:
 	dh_python2 --no-guessing-versions
-	: # this is a hack ... to keep python off the desktop image
-	-grep '^python:Depends=' \
-	  debian/python-talloc.substvars >> debian/python-talloc-dev.substvars
-	sed -i -e '/^python:Depends=/d' debian/python-talloc.substvars
 
 override_dh_auto_configure:
-	LDFLAGS="$(LDFLAGS)" PYTHON="$(PYTHON)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" ./configure $(conf_args)
+	LDFLAGS="$(LDFLAGS)" PYTHON="" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" ./configure $(conf_args)
 
 override_dh_auto_build:
 	$(MAKE) all V=1
@@ -44,6 +41,7 @@
 
 override_dh_install:
 	DEB_PY2_INCDIR=$(shell python-config --includes | sed 's,^-I\([^ ]*\).*,\1,') \
+	DEB_PY3_INCDIR=$(shell python3-config --includes | sed 's,^-I\([^ ]*\).*,\1,') \
 		dh_install --list-missing
 
 get-packaged-orig-source:
@@ -60,16 +58,17 @@
 		third_party/waf/wafadmin/*.pyc \
 		third_party/waf/wafadmin/Tools/*.pyc \
 		third_party/waf/wafadmin/3rdparty/*.pyc \
+		third_party/waf/waflib/*.pyc \
+		third_party/waf/waflib/*/*.pyc \
+
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(DESTDIR)
 	# Waf really should be doing this:
-	ar -rc libtalloc.a bin/default/talloc_*.o
+	ar -rc libtalloc.a bin/default/talloc*.o
 	mv libtalloc.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libtalloc2-dbg (<< 2.1.8-1~), python-talloc-dbg (<< 2.1.8-1~)'
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibtalloc2 -- -c4
 	dh_makeshlibs -ppython-talloc -Xtalloc. -- -c3
+	dh_makeshlibs -ppython3-talloc -Xtalloc. -- -c3
